# To be put into Colocation.

# To use the serial console in iRMC, set up grub as follows:
# GRUB_TIMEOUT=30
# GRUB_CMDLINE_LINUX_DEFAULT="console=ttyS0,115200 console=tty0"
# GRUB_TERMINAL=serial
# GRUB_SERIAL_COMMAND="serial --speed=115200 --unit=0 --word=8 --parity=no --stop=1"

nodes['rx300'] = {
    'hostname': '172.19.138.26',
    'bundles': {
        'lldp', # TODO remove once this is no longer at home
        'zfs',
    },
    'groups': {
        'debian-buster',
    },
    'metadata': {
        'interfaces': {
            'bond0': {
                'ips': {
                    '172.19.138.26/24',
                },
                'gateway4': '172.19.138.1',
            },
        },
        'icinga_options': {
            # TODO remove once this is no longer at home
            'exclude_from_monitoring': True,
        },
        'backups': {
            'exclude_from_backups': True,
        },
        'lldp': {
            'hostname': 'rx300.kunbox.net',
        },
        'systemd-networkd': {
            'bonds': {
                'bond0': {
                    'match': {
                        'eth0',
                        'eth1',
                    },
                },
            },
        },
        'users': {
            'kunsi': {
                'ssh_pubkey': {
                    # work laptop
                    'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPM68t1Ssf0c9dEkYOEXllUQ0aybPsW3aQAJuWpUHPlt',
                    'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICYst1HK+gJYhNxzqJGnz4iB73pa89Xz2yH+8wufOcsA',
                },
            },
        },
        'zfs': {
            'module_options': {
                'zfs_arc_max_mb': 16384, # 16GB
            },
            'pools': {
                'tank': {
                    'raidz': {
                        '/dev/sda',
                        '/dev/sdb',
                        '/dev/sdc',
                        '/dev/sdd',
                    },
                },
            },
        },
        'vm': {
            'cpu': 32,
            'ram': 378,
        },
    },
}
